| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Attributes | List of all members
Rndm::Binomial Class Reference

Parameters for the Binomial distributed random number generation. More...

`#include <GaudiKernel/RndmGenerators.h>`

Inheritance diagram for Rndm::Binomial:
[legend]
Collaboration diagram for Rndm::Binomial:
[legend]

## Public Member Functions
| Binomial (long n, double p)
| Standard Constructor. More...
| ~Binomial () override=default
| Standard Destructor. More...
long | nEvent () const
| Access number of events. More...
double | probability () const
| Access number of events. More...
Binomial * | clone () const override
| Clone parameters. More...
Public Member Functions inherited from IRndmGen::Param
| Param (const InterfaceID &type=IID_IRndmFlat)
| Standard constructor. More...
virtual | ~Param ()=default
| Standard Destructor. More...
virtual const InterfaceID & | type () const
| Parameter's type. More...

## Static Public Member Functions
static const InterfaceID & | typeID ()
| Identifier for factory. More...

## Protected Attributes
long | m_nEvent
| Number of events the binomial destribution corresponds to. More...
double | m_probability
| And the probability for having success. More...
Protected Attributes inherited from IRndmGen::Param
const InterfaceID | m_type
| Type of the generator. More...

## Detailed Description

Parameters for the Binomial distributed random number generation.

The returned values are in fact integers

Definition at line 229 of file RndmGenerators.h.

## Constructor & Destructor Documentation

Rndm::Binomial::Binomial | ( | long | n,
|  | double | p
| ) |  |
| inline

Standard Constructor.

Definition at line 237 of file RndmGenerators.h.

238 : IRndmGen::Param(IID_IRndmBinomial), m_nEvent(n), m_probability(p) { }
Rndm::Binomial::m_probability
double m_probability
And the probability for having success.
Definition: RndmGenerators.h:234
Rndm::Binomial::m_nEvent
long m_nEvent
Number of events the binomial destribution corresponds to.
Definition: RndmGenerators.h:232
GaudiPluginService.cpluginsvc.n
n
Definition: cpluginsvc.py:217
IRndmGen::Param
Definition: IRndmGen.h:40

Rndm::Binomial::~Binomial | ( |  | ) |
| override default

Standard Destructor.

## Member Function Documentation

Binomial* Rndm::Binomial::clone | ( |  | ) | const
| inline override virtual

Clone parameters.

Implements IRndmGen::Param.

Definition at line 248 of file RndmGenerators.h.

248 { return new Binomial(m_nEvent, m_probability); }
Rndm::Binomial::m_probability
double m_probability
And the probability for having success.
Definition: RndmGenerators.h:234
Rndm::Binomial::m_nEvent
long m_nEvent
Number of events the binomial destribution corresponds to.
Definition: RndmGenerators.h:232
Rndm::Binomial::Binomial
Binomial(long n, double p)
Standard Constructor.
Definition: RndmGenerators.h:237

long Rndm::Binomial::nEvent | ( |  | ) | const
| inline

Access number of events.

Definition at line 242 of file RndmGenerators.h.

242 { return m_nEvent; }
Rndm::Binomial::m_nEvent
long m_nEvent
Number of events the binomial destribution corresponds to.
Definition: RndmGenerators.h:232

double Rndm::Binomial::probability | ( |  | ) | const
| inline

Access number of events.

Definition at line 244 of file RndmGenerators.h.

244 { return m_probability; }
Rndm::Binomial::m_probability
double m_probability
And the probability for having success.
Definition: RndmGenerators.h:234

static const InterfaceID& Rndm::Binomial::typeID | ( |  | ) |
| inline static

Identifier for factory.

Definition at line 246 of file RndmGenerators.h.

246 { return IID_IRndmBinomial; }

## Member Data Documentation

long Rndm::Binomial::m_nEvent
| protected

Number of events the binomial destribution corresponds to.

Definition at line 232 of file RndmGenerators.h.

double Rndm::Binomial::m_probability
| protected

And the probability for having success.

Definition at line 234 of file RndmGenerators.h.

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/RndmGenerators.h